%global npm_name p-try
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 2.0.0
Release: %mkrel 3
Summary: `Promise#try()` ponyfill - Starts a promise chain
License: MIT
Group: Development/Other
URL: https://github.com/sindresorhus/p-try#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license license
%doc readme.md



%changelog
* Tue Mar 22 2022 umeabot <umeabot> 2.0.0-3.mga9
+ Revision: 1819570
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 2.0.0-2.mga8
+ Revision: 1535588
- Mageia 8 Mass Rebuild

* Sat Oct 27 2018 joequant <joequant> 2.0.0-1.mga8
+ Revision: 1326268
- upgrade to 2.0.0

* Thu Sep 20 2018 umeabot <umeabot> 1.0.0-2.mga7
+ Revision: 1280911
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 1.0.0-1.mga7
+ Revision: 1223663
- imported package nodejs-p-try

